> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/microsoft-xna-framework/game/isfixedtimestep.md).

# IsFixedTimeStep

### Introduction

IsFixedTimeStep controls whether the game attempts to run at a fixed frame rate. If the game runs especially slow, then the frame rate may be reduced or frames may be dropped (this may vary from platform to platform). This property is true by default.

If your game is capable of running at a frame rate faster than specified by the [TargetElapedTime](/flatredball/api/microsoft-xna-framework/game/targetelapsedtime.md) then the Game class delays calling Update and Draw to attempt to match the TargetElapsedTime. If your game is not able to run as quickly, the Game class reduces the number of Draw calls to attempt to allow the Update call to be called more frequently.

### Code Example

IsFixedTimeStep can be set to false to measure your game's frame rate. The following code will enable the game to run as fast as possible rather than being capped to 60 fps or the refresh rate of the monitor:

```csharp
IsFixedTimeStep = false;
graphics.SynchronizeWithVerticalRetrace = false;
```

Changing `graphics.SynchronizeWithVerticalRetrace` after FlatRedBall is initialized requires applying changes to the graphics object:

```csharp
graphics.ApplyChanges();
```

### Cursor behavior

If IsFixedTimeStep is false, then it is possible that your game may run at a very high frame rate. If your game's frame rate is sufficiently high, it may exceed the sampling rate of the mouse on the PC. In this situation, you may receive updates where multiple frames in a row report the same position values. This can be problematic if you are using any of the [Cursor's](/flatredball/api/flatredball/gui/cursor.md) Velocity values. You may have many frames where the reported velocity is 0 (due to the position being the same for multiple frames) even if the user is moving the cursor. This is mostly problematic in situations where the Velocity of the Cursor can impact game behavior - such as with logic that performs kinetic scrolling.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/microsoft-xna-framework/game/isfixedtimestep.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
